.field--name-field-title {
  @include title(h1);
}

.paragraph, .paragraph .group-content, .paragraph .group-link, .paragraph .group-text {
  > .field--name-field-title {
    @include title(h2);
    margin-bottom: 0;

    +.field--name-field-text,
    +.field--name-field-items-list {
      margin-top: 1rem;
    }
  }
}

.field--name-field-paragraphs {
  >.field__item {
    >.paragraph {
      margin-bottom: 5rem;
    }
  }
}

.paragraph--type--content {
  @include max-width(xsmall);
}

.field--name-field-cta {
  @include max-width();
  margin-top: 1rem;

  @include breakpoint($size-normal) {
    @include max-width(null);
    margin-top: 2rem;
  }

  a {
    @include button();
    display: block;
    @include breakpoint($size-medium) {
      display: inline-block;
    }
  }

  &.field__items {
    display: flex;
    flex-wrap: wrap;
    justify-content: flex-start;
    align-items: flex-start;
  }

  .field__item:not(:first-of-type) {
    margin-left: .5rem;

    a {
      @include button(ghost);
    }
  }
}

.field--name-field-media-image article.media--view-mode-background {
  position: absolute;
  top: 0;
  right: 0;
  left:0;
  bottom: 0;
}
